/*******************************************************************************
 * This file is part of OpenNMS(R).
 *
 * Copyright (C) 2011-2012 The OpenNMS Group, Inc.
 * OpenNMS(R) is Copyright (C) 1999-2012 The OpenNMS Group, Inc.
 *
 * OpenNMS(R) is a registered trademark of The OpenNMS Group, Inc.
 *
 * OpenNMS(R) is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * OpenNMS(R) is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OpenNMS(R).  If not, see:
 *      http://www.gnu.org/licenses/
 *
 * For more information contact:
 *     OpenNMS(R) Licensing <license@opennms.org>
 *     http://www.opennms.org/
 *     http://www.opennms.com/
 *******************************************************************************/

package org.opennms.ipv6.summary.gui.client;

import com.google.gwt.event.shared.GwtEvent;

public class LocationUpdateEvent extends GwtEvent<LocationUpdateEventHandler> {
    
    public static Type<LocationUpdateEventHandler> TYPE = new Type<LocationUpdateEventHandler>();
    
    private final String m_location;
    
    public LocationUpdateEvent(String location) {
        m_location = location;
    }
    
    @Override
    public com.google.gwt.event.shared.GwtEvent.Type<LocationUpdateEventHandler> getAssociatedType() {
        return TYPE;
    }

    @Override
    protected void dispatch(LocationUpdateEventHandler handler) {
        handler.onLocationUpdate(this);
    }
    
    public String getLocation() {
        return m_location;
    }

}
